"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultErrorHandler = exports.defaultNotFoundHandler = void 0;
var defaultNotFoundHandler = function (req, res) { return __awaiter(void 0, void 0, void 0, function () {
    return __generator(this, function (_a) {
        return [2 /*return*/, res.status(404).json({
                success: false,
                message: 'Route not found'
            })];
    });
}); };
exports.defaultNotFoundHandler = defaultNotFoundHandler;
var defaultErrorHandler = function (req, res, next, error) {
    // eslint-disable-next-line no-console
    console.error('Error caught!', error);
    return res.status(500).json({
        success: false,
        message: 'Internal Server Error'
    });
};
exports.defaultErrorHandler = defaultErrorHandler;
/**
 * @module Configuration
 */
/**
 * @static
 * @member Configuration
 * @type {Configuration}
 *
 * @property {string} rootFile The file that is in the root of the app, for development
 * that should be in ./src/index.ts, this should always be '__filename'
 * @property {string} apiPrefix The prefix which will be used for the api e.g. /api
 * @property {module:Configuration.ConfigurationDebug} debug The debug functions
 * @property {?(Array<module:Configuration.StaticFilesSubdomain> | module:Configuration.StaticFiles)} staticFiles
 * Static files is used to serve static files
 * @property {?module:Configuration.ErroHandler} errorHandler All the thrown errors and the ones
 * from next() will be caught in the errorHandler.
 * @property {?module:Configuration.NotFoundHandler} notFoundHandler This handler is used when the
 * route is not found.
 */
/**
 * @static
 * @member ConfigurationDebug
 * @type {ConfigurationDebug}
 *
 * Use an empty function to disable the logger.
 *
 * @property {?Function} log If undefined, the default logger will be used.
 * @property {?Function} error If undefined, the default logger will be used.
 */
/**
 * @static
 * @member StaticFiles
 * @type {StaticFiles}
 *
 * @property {string} path The path that will be used to serve the files
 * @property {Array<string>} directory The root directory for the served files
 * @property {?string} subdomain A subdomain is optional here
 * @property {?Array.<string | Function>} middlewares Middlewares
 * @property {?serveStatic.ServeStaticOptions} options Serve Static Options
 * (only works if 'customStaticHandler' is not changed)
 * @property {?rateLimit.Options} rateLimitOptions To disable the rate limiter, set to undefined
 * @property {?boolean} disableIndexRouter If set to false, all the requests (if is not directly to a file)
 * are sent to `index.html` or to `indexFileName` (if set).
 * @property {?Function} customStaticHandler allows you to change the default static file handler
 * e.g.
 * ```js
 * (path: string) => require('connect-gzip-static')(path, { /options here/ })
 * ```
 * @property {?string} indexFileName allows you to change the default index file (default: `index.html`)
 */
/**
 * @static
 * @member StaticFilesSubdomain
 * @type {StaticFilesSubdomain}
 *
 * @property {string} path The path that will be used to serve the files
 * @property {Array<string>} directory The root directory for the served files
 * @property {string} subdomain The subdomain is required.
 * @property {?Array.<string | Function>} middlewares Middlewares
 * @property {?serveStatic.ServeStaticOptions} options Serve Static Options
 * @property {?rateLimit.Options} rateLimitOptions To disable the rate limiter, set to undefined
 */
/**
 * @static
 * @member NotFoundHandler
 * @type {Promise<Response<any>>}
 *
 * @property {Express.Request} req The Express's Request
 * @property {Express.Response} res The Express's Response
 * @property {Express.NextFunction} next The Express's Next Function
 */
/**
 * @static
 * @member ErroHandler
 * @type {Response<any>}
 *
 * @property {Express.Request} req The Express's Request
 * @property {Express.Response} res The Express's Response
 * @property {Express.NextFunction} next The Express's Next Function
 * @property {any} error The error that was caught
 */
//# sourceMappingURL=index.js.map