/**
 * This decorator is used to get the Express's Request when using an [\@Action]{@link module:Router.Action}.
 *
 * For an example usage of [\@Request]{@link module:Router.@Request}. Check [\@Get]{@link module:Router.Get}
 *
 * @static
 * @member {Express.Request} @Request
 * @memberof module:Router
 */
export declare const Request: (target: any, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * This decorator is used to get the Express's Response when using an [\@Action]{@link module:Router.Action}.
 *
 * For an example usage of [\@Response]{@link module:Router.@Response}. Check [\@Get]{@link module:Router.Get}
 *
 * @static
 * @member {Express.Response} @Response
 * @memberof module:Router
 */
export declare const Response: (target: any, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * This decorator is used to get the Express's Response when using an [\@Action]{@link module:Router.Action}.
 *
 * For an example usage of [\@Next]{@link module:Router.@Next}. Check [\@Get]{@link module:Router.Get}
 *
 * @static
 * @member {Express.NextFunction} @Next
 * @memberof module:Router
 */
export declare const Next: (target: any, propertyKey: string | symbol, parameterIndex: number) => void;
//# sourceMappingURL=Parameters.d.ts.map