"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Next = exports.Response = exports.Request = void 0;
var defineParameter_1 = __importDefault(require("../app/defineParameter"));
var Params_1 = __importDefault(require("./Params"));
/**
 * This decorator is used to get the Express's Request when using an [\@Action]{@link module:Router.Action}.
 *
 * For an example usage of [\@Request]{@link module:Router.@Request}. Check [\@Get]{@link module:Router.Get}
 *
 * @static
 * @member {Express.Request} @Request
 * @memberof module:Router
 */
exports.Request = defineParameter_1.default(Params_1.default.ExpressRequest);
/**
 * This decorator is used to get the Express's Response when using an [\@Action]{@link module:Router.Action}.
 *
 * For an example usage of [\@Response]{@link module:Router.@Response}. Check [\@Get]{@link module:Router.Get}
 *
 * @static
 * @member {Express.Response} @Response
 * @memberof module:Router
 */
exports.Response = defineParameter_1.default(Params_1.default.ExpressResponse);
/**
 * This decorator is used to get the Express's Response when using an [\@Action]{@link module:Router.Action}.
 *
 * For an example usage of [\@Next]{@link module:Router.@Next}. Check [\@Get]{@link module:Router.Get}
 *
 * @static
 * @member {Express.NextFunction} @Next
 * @memberof module:Router
 */
exports.Next = defineParameter_1.default(Params_1.default.ExpressNext);
//# sourceMappingURL=Parameters.js.map