"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HandleMiddleware = exports.AsyncCallback = void 0;
var AsyncCallback = function (fn, errorHandler) { return function (req, res, next) {
    return Promise.resolve(fn(req, res, next)).catch(function (e) {
        return errorHandler(req, res, next, e);
    });
}; };
exports.AsyncCallback = AsyncCallback;
var HandleMiddleware = function (fn, prefix, mode) { return function (req, res, next) {
    if ((req.path.startsWith(prefix) && mode === 'api') ||
        (!req.path.startsWith(prefix) && mode === 'render')) {
        return fn(req, res, next);
    }
    return next();
}; };
exports.HandleMiddleware = HandleMiddleware;
//# sourceMappingURL=index.js.map